Bio::Tools::QRNA(3)

NAME
Bio::Tools::QRNA - A Parser for qrna output

SYNOPSIS
  use Bio::Tools::QRNA;
  my $parser = Bio::Tools::QRNA->new(-file => $qrnaoutput);
  while( my $feature = $parser->next_feature ) {
    # do something here
  }

DESCRIPTION
Parses QRNA output (E.Rivas: http://selab.janelia.org/software.html ftp://selab.janelia.org/pub/software/qrna/).

This module is not complete, but currently it packs information from each QRNA alignment into a single Bio::SeqFeature::Generic object.

Not all options for QRNA output have been tested or tried. It has been tested on sliding window output (-w -x) and shuffled output (-b or -B).

See t/QRNA.t for example usage.

At some point we may have more complicated feature object which will support this data rather than forcing most of the information into tag/value pairs in a SeqFeature::Generic.

Running with -verbose => 1 will store extra data in the feature. The entire unparsed entry for a particular feature will be stored as a string in the tag 'entry' it is accessible via:

  my ($entry) = $f->each_tag_value('entry');

The winning model for any given alignment test will be the name stored in the primary_tag field of feature. The bit score will stored in the score field. The logoddpost is availble via the a tag/value pair. This example code will show how to print out the score and log odds post for each model.

  # assuming you got a feature already
  print "model score logoddspost\n";
  foreach my $model ( qw(OTH COD RNA) ) {
    my ($score)       = $f->get_tag_values("$model\_score");
    my ($logoddspost) = $f->get_tag_values("$model\_logoddspost");
    print "$model $score $logoddspost\n";
  }

The start and end of the alignment for both the query and hit sequence are available through the Bio::SeqFeature::FeaturePair interface, specifically Bio::SeqFeature::FeaturePair::feature1 and Bio::SeqFeature::FeaturePair::feature2. Additionally if you have run QRNA with an input file which has the location of the alignment stored in the FASTA filename as in (ID/START-END) which is the default output format from Bio::AlignIO::fasta produced alignment output, this module will re-number start/end for the two sequences so they are in the actual coordinates of the sequence rather than the relative coordinates of the alignment. You may find the bioperl utillity script search2alnblocks useful in creating your input files for QRNA.

Some other words of warning, QRNA uses a 0 based numbering system for sequence locations, Bioperl uses a 1 based system. You'll notice that locations will be +1 they are reported in the raw QRNA output.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Jason Stajich
Email jason-at-bioperl-dot-org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = Bio::Tools::QRNA->new();
 Function: Builds a new Bio::Tools::QRNA object
 Returns : an instance of Bio::Tools::QRNA
 Args    : -fh/-file filehandle/filename standard input for
                     Bio::Root:IO objects

  next_feature
 Title   : next_feature
 Usage   : my $feature = $parser->next_feature
 Function: Get the next QRNA feature
 Returns :
 Args    :

  PAM_model
 Title   : PAM_model
 Usage   : $obj->PAM_model($newval)
 Function:
 Example :
 Returns : value of PAM_model (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  RNA_model
 Title   : RNA_model
 Usage   : $obj->RNA_model($newval)
 Function:
 Example :
 Returns : value of RNA_model (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  seq_file
 Title   : seq_file
 Usage   : $obj->seq_file($newval)
 Function:
 Example :
 Returns : value of seq_file (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  program_name
 Title   : program_name
 Usage   : $obj->program_name($newval)
 Function:
 Example :
 Returns : value of program_name (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  program_version
 Title   : program_version
 Usage   : $obj->program_version($newval)
 Function:
 Example :
 Returns : value of program_version (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  program_date
 Title   : program_date
 Usage   : $obj->program_date($newval)
 Function:
 Example :
 Returns : value of program_date (a scalar)
 Args    : on set, new value (a scalar or undef, optional)